Subject: [Autoconf] AD review of draft-ietf-autoconf-manetarch

From: Jari Arkko <[email-masked]>
Date: Fri, 23 Nov 2007 23:02:57 +0200

I have done a part of my AD review on this document. I found a few
issues, noted below. I am currently looking at the issues raised by
Thomas Narten in his review from September and thinking about
what additional modifications are needed.

I felt that the SBI definition needs to be clearer about
what the exact condition is when an interface is an SBI.
Suggested alternative formulation below.

In Section 2.1, change:
OLD:
  Semi-Broadcast Interface (SBI)
  A broadcast capable interface that may exhibit asymmetric reachability.
  Multiple access wireless radio interfaces are often SBI. Note that since a
  SBI *may* exhibit asymmetric reachability, it also may not.
NEW:
  Semi-Broadcast Interface (SBI)
  A broadcast capable interface that may exhibit asymmetric reachability.
  Multiple access wireless radio interfaces are often SBI. Note that an
interface
  is SBI when a possibility exists that asymmetric reachability may
  occur. But asymmetric reachability may not actually be present all the
time,
  e.g., when the nodes are close enough to all hear each other.

The reference "this prefix" needs to be made explicit in Section 5.1.

In Section 5.1, change:
OLD:
   MANET interfaces are specifically *NOT* configured with this prefix.
NEW:
   MANET interfaces are specifically *NOT* configured with the prefix(es)
   delegated to the MANET router.

The vulnerabilities related to nodes inside the MANET
need to be taken into account, as was noted during WGLC.
Suggested text: add a new paragraph before the last
paragraph of  the Security Consideration section:

  Some MANET deployments may also have to deal with
  malicious behavior from the routers involved in the
  MANET itself. Defenses against such attacks are
  a research topic.

Jari

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf